<?php

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'FirmwareGetRootFsVersion';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!file_exists('/pkginfo/VERSION.rootfs')) {
			$this->_execResult = false;
			return($this->_execResult);
		}


		$contents = file_get_contents('/pkginfo/VERSION.rootfs');

		preg_match('/PKG_VERSION=([0-9]*)/', $contents, $matches);
		$this->_execResultString .= ':' . $matches[1];

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . ($this->_execResult ? $this->_execResultString : 'error'));
	}
}

?>
